QuickCheck-2.6: Automatic testing of Haskell programs

Safe Haskell | None
Language | Haskell98

Test.QuickCheck.Poly

Description

Types to help with testing polymorphic properties.

Types `A`, `B` and `C` are `newtype` wrappers around `Integer` that implement `Eq`, `Show`, `Arbitrary` and `CoArbitrary`. Types `OrdA`, `OrdB` and `OrdC` also implement `Ord` and `Num`.

See also Test.QuickCheck.All for an experimental way of testing polymorphic properties.

# Documentation

newtype A

Constructors

A |

Fields

unA :: Integer

Instances

Eq A |
Show A |
CoArbitrary A |
Arbitrary A |
Function A |

newtype B

Constructors

B |

Fields

unB :: Integer

Instances

Eq B |
Show B |
CoArbitrary B |
Arbitrary B |
Function B |

newtype C

Constructors

C |

Fields

unC :: Integer

Instances

Eq C |
Show C |
CoArbitrary C |
Arbitrary C |
Function C |

newtype OrdA

Constructors

OrdA |

Fields

unOrdA :: Integer

Instances

Eq OrdA |
Num OrdA |
Ord OrdA |
Show OrdA |
CoArbitrary OrdA |
Arbitrary OrdA |
Function OrdA |

newtype OrdB

Constructors

OrdB |

Fields

unOrdB :: Integer

Instances

Eq OrdB |
Num OrdB |
Ord OrdB |
Show OrdB |
CoArbitrary OrdB |
Arbitrary OrdB |
Function OrdB |

newtype OrdC

Constructors

OrdC |

Fields

unOrdC :: Integer

Instances

Eq OrdC |
Num OrdC |
Ord OrdC |
Show OrdC |
CoArbitrary OrdC |
Arbitrary OrdC |
Function OrdC |